PluralAttributePath (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class PluralAttributePath<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<X>
                          org.hibernate.ejb.criteria.path.PluralAttributePath<X>

All Implemented Interfaces:
  Serializable, Expression<X>, Path<X>, Selection<X>, TupleElement<X>, ExpressionImplementor<X>, ParameterContainer, PathImplementor<X>, PathSource<X>, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

    public class PluralAttributePath<X>

extends AbstractPathImpl<X>
implements Serializable

Models a path for a `PluralAttribute` generally obtained from a `Path.get(javax.persistence.metamodel.SingularAttribute)` call

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`PluralAttributePath(CriteriaBuilderImpl criteriaBuilder, PathSource source, PluralAttribute<?,X,?> attribute)`

Method Summary
`protected boolean` | `canBeDereferenced()`
`PluralAttribute<?,X,?>` | `getAttribute()` Retrieve reference to the attribute this path represents.
`Bindable<X>` | `getModel()`
`CollectionPersister` | `getPersister()`
`protected Attribute` | `locateAttributeInternal(String attributeName)` Get the attribute by name from the underlying model.

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getParentPath, getPathIdentifier, getPathSource, illegalDereference, locateAttribute, prepareAlias, registerAttributePath, registerParameters, render, renderProjection, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### PluralAttributePath

    public PluralAttributePath(CriteriaBuilderImpl criteriaBuilder,
                               PathSource source,
                               PluralAttribute<?,X,?> attribute)

Method Detail

### getAttribute

    public PluralAttribute<?,X,?> getAttribute()

  Description copied from interface: `PathImplementor`
  Retrieve reference to the attribute this path represents.

  Specified by:
    `getAttribute` in interface `PathImplementor<X>`
  Returns:
    The metamodel attribute.

### getPersister

    public CollectionPersister getPersister()

### canBeDereferenced

    protected boolean canBeDereferenced()

  Specified by:
    `canBeDereferenced` in class `AbstractPathImpl<X>`

### locateAttributeInternal

    protected Attribute locateAttributeInternal(String attributeName)

  Description copied from class: `AbstractPathImpl`
  Get the attribute by name from the underlying model. This allows subclasses to define exactly how the attribute is derived. Called from `AbstractPathImpl.locateAttribute(java.lang.String)` which also applies nullness checking for proper error reporting.

  Specified by:
    `locateAttributeInternal` in class `AbstractPathImpl<X>`
  Parameters:
    `attributeName` - The name of the attribute to locate
  Returns:
    The attribute; may be null.

### getModel

    public Bindable<X> getModel()

  Specified by:
    `getModel` in interface `Path<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.